SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001107SiT!incidentspublic2010-02-25 12:332011-02-14 13:18
Reporternicdev 
Assigned Tonicdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.51 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001107: The funtion "autocomplete()" does not work in incident_email page
DescriptionWhen trying to add some autocomplete functionality to the "incident_email.php" script i noticed that the $pagescripts variable is not treated by the include file "incident_html_top.inc.php". this means that we cannot use autoccomplete in any of the pages that use this header.

The script that includes the code for the autocreate to work is inside "htmlheader.inc.php" in line 87. Which means that autocomplete can only work when the normal html header is included.

I am not sure what the best solution is here, but i think we could included the same code into "incident_html_top.inc.php"?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002470)
nicdev (developer)
2010-02-25 12:42

I propose that we add the following code to "incident_html_top.inc.php" at line 49:
**code**
// To include a script for a single page, add the filename to the $pagescripts variable before including htmlheader.inc.php
if (is_array($pagescripts))
{
    foreach ($pagescripts AS $pscript)
    {
    echo "<script src='{$CONFIG['application_webpath']}scripts/{$pscript}' type='text/javascript'></script>\n";
    }
    unset($pagescripts, $pscript);
}
**code end**

This is the same code as is currently in "htmlheader.inc.php" in line 87.

Let me know what you guys think and i can commit it to svn.

thanks
User avatar (0002471)
paulh (administrator)
2010-02-25 13:42

Hi Nico,

I'm not sure about adding this to 3.60 as this is intended to be a bug fix release only and I'm not convinced this is a bug,

Paul
User avatar (0002472)
nicdev (developer)
2010-02-25 15:17

Hi Paul,

I tend to agree with you, but i was not sure ... on the other hand as 3.6LTS will be long term it may be a while before we can add small things like plugin hooks etc ... For bigger changes i agree with you completely.

We are in the process of doing a whole bunch of small plugins and it would help greatly if we could add for instance, a few plugin hooks and this code proposed here. For us it is a bug, because the function 'autocomplete' does not work in all pages ;-)

Thanks
Nico
User avatar (0002473)
ivan (administrator)
2010-02-25 16:12

Nope, no new features in 3.60. Sorry to be harsh, but if we open the gates a flood may result.
User avatar (0002474)
ivan (administrator)
2010-02-25 16:13

Also, I'm being even more harsh now, and I'm sorry!!! But please don't confirm your own bug reports, the confirmation step provides useful peer review.
User avatar (0002475)
nicdev (developer)
2010-02-25 17:28

Ivan, thats not harsh just a bit of justice.

I apologise for it seeming that i wanted to "skip" steps .. it was not done on purpose, just because i was in a rush and did not realise what i had selected
;-)
I put it here exactly because i was seeking your valuable peer review, before continuing...

and on a second point i apologise for putting 3.60LTS as the target version. I did not realise(not reading i guess) that features were blocked for 3.60.

I will pay closer attention next time .. and sorry if i offended anyone ;-)
User avatar (0002983)
nicdev (developer)
2010-04-09 14:02

Fixed in commit e9e8fe1

- Issue History
Date Modified Username Field Change
2010-02-25 12:33 nicdev New Issue
2010-02-25 12:38 nicdev Status new => confirmed
2010-02-25 12:42 nicdev Note Added: 0002470
2010-02-25 13:42 paulh Note Added: 0002471
2010-02-25 15:17 nicdev Note Added: 0002472
2010-02-25 16:12 ivan Note Added: 0002473
2010-02-25 16:12 ivan Target Version 3.60 LTS => 4.0
2010-02-25 16:13 ivan Note Added: 0002474
2010-02-25 17:28 nicdev Note Added: 0002475
2010-04-09 14:01 nicdev Status confirmed => assigned
2010-04-09 14:01 nicdev Assigned To => nicdev
2010-04-09 14:02 nicdev Note Added: 0002983
2010-04-09 14:02 nicdev Status assigned => resolved
2010-04-09 14:02 nicdev Fixed in Version => Current GIT
2010-04-09 14:02 nicdev Resolution open => fixed
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker